#include "io430.h"

void beep(int length, int frequency)
{
  // Werte 500 und 900 sind Pi mal Daumen.
  int delay = (int)(500L*440/frequency);
  int n = (int)((long)length*frequency/900);
  
  P1DIR |= 0x10;
  
  for(int i = 0; i < n; i++)
  {
    if(i%2 == 0)
    {
      P1OUT |= 0x10;
    }
    else
    {
      P1OUT &= ~0x10;
    }
    
    // Diese Warteschleife ist eigentlich schlechter Stil,
    // besser einen Timer verwenden.
    // Grnde:
    // * Je nach Chip ist die Schleife verschieden schnell.
    // * Wenn der Compiler optimiert, ist die Schleife ganz weg.
    // * Die Schleife kostet elektrische Energie und bindet Rechenleistung.
    for(int j = 0; j < delay; j++)
    {}    
  }
}